#ifndef CMWORKTABLE_H
#define CMWORKTABLE_H

#include "cworktable.h"
#include "cmpoint.h"
#include "cprecisetime.h"
#include "export_worktable_driver.h"

class WORKTABLE_DRIVER_EXPORT CMWorkTable : public CWorkTable
{
public:
    CMWorkTable(const QString& name,int32_t id);
    virtual ~CMWorkTable();

    QDomElement WriteConfig(QDomDocument &doc, QDomElement &root);
    int ReadConfig(QDomElement &root);
    Variants m_FoucsVariants;
};

#endif // CMWORKTABLE_H
